## mpfr4 3.0.0

=== debian/changelog ===
mpfr4 (3.0.0-7) unstable; urgency=low

  * Build a -dbg package (closes: #595948).

 -- Laurent Fousse <laurent@komite.net>  Mon, 21 Feb 2011 08:54:59 +0100

mpfr4 (3.0.0-6) unstable; urgency=low

  * Include AUTHORS file (closes: #611110).
  * Upload to unstable.
  * Apply upstream patch 08, fixes macro issues (closes: #602980).

 -- Laurent Fousse <laurent@komite.net>  Wed, 16 Feb 2011 14:04:18 +0100

mpfr4 (3.0.0-5) experimental; urgency=low

  * Apply upstream patches 05 through 07:
    + fixes tcan_round (patch05)
    + fixes subtraction code (patch06)
    + fixes mpfr_set_ld (patch07).

 -- Laurent Fousse <laurent@komite.net>  Wed, 27 Oct 2010 19:54:55 +0200

mpfr4 (3.0.0-4) experimental; urgency=low

  * Apply upstream patch04 (closes: #595959).

 -- Laurent Fousse <laurent@komite.net>  Tue, 07 Sep 2010 19:13:25 +0200

mpfr4 (3.0.0-3) experimental; urgency=low

  * Build 32 bit package on 64 bit archs (closes: #583708).

 -- Laurent Fousse <laurent@komite.net>  Fri, 23 Jul 2010 14:12:11 +0200

mpfr4 (3.0.0-2) unstable; urgency=low

  * Apply 3 upstream patches, fixing:
    + incorrect return value of `mpfr_out_str' (patch01)
    + problem with `alloca' on some plateform (patch02)
    + underflow management in `mpfr_gamma' (patch03).
  * Upload to unstable.

 -- Laurent Fousse <laurent@komite.net>  Tue, 13 Jul 2010 14:05:04 +0200

mpfr4 (3.0.0-1) experimental; urgency=low

  * New upstream release.

 -- Laurent Fousse <laurent@komite.net>  Thu, 10 Jun 2010 15:08:20 +0200

mpfr4 (3.0.0~rc2-2) experimental; urgency=low

  * Fix almost empty doc package.
  * Include code samples in libmpfr-doc.

 -- Laurent Fousse <laurent@komite.net>  Thu, 10 Jun 2010 13:39:10 +0200

mpfr4 (3.0.0~rc2-1) experimental; urgency=low

  * New release candidate.

 -- Laurent Fousse <laurent@komite.net>  Sun, 06 Jun 2010 22:41:05 +0200

mpfr4 (3.0.0~rc1-4) experimental; urgency=low

  * Rename libmpfr4-doc to libmpfr-doc.

 -- Laurent Fousse <laurent@komite.net>  Thu, 03 Jun 2010 11:35:02 +0200

mpfr4 (3.0.0~rc1-3) experimental; urgency=low

  * Rename libmpfr4-dev to libmpfr-dev, it makes more sense
    for the upgrade.
  * Correct old lib name in description.

 -- Laurent Fousse <laurent@komite.net>  Wed, 02 Jun 2010 10:01:07 +0200

mpfr4 (3.0.0~rc1-2) experimental; urgency=low

  * Update debian/copyright to reflect the change to LGPL3+,
    thanks Torsten Werner.

 -- Laurent Fousse <laurent@komite.net>  Thu, 27 May 2010 20:39:36 +0200

mpfr4 (3.0.0~rc1-1) experimental; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format
  * New release candidate (closes: #583205).
  * New source package because:
    + soversion has changed
    + gcc build-depends on mpfr.

 -- Laurent Fousse <laurent@komite.net>  Wed, 26 May 2010 17:58:44 +0200

mpfr (2.4.2-3) unstable; urgency=low

  * Apply patch by Aurélien Jarno, fixing compilation problem
    on mips(el) with gcc-4.4 (closes: #560221).

 -- Laurent Fousse <laurent@komite.net>  Wed, 09 Dec 2009 21:49:52 +0100

mpfr (2.4.2-2) unstable; urgency=low

  * Apply patch `sin_cos_underflow', fixes underflow problems in
    mpfr_sin_cos.

 -- Laurent Fousse <laurent@komite.net>  Tue, 08 Dec 2009 09:46:13 +0100

mpfr (2.4.2-1) unstable; urgency=low

  * New upstream release.

 -- Laurent Fousse <laurent@komite.net>  Mon, 30 Nov 2009 13:32:20 +0100

mpfr (2.4.2~rc3-1) experimental; urgency=low

  * New upstream release candidate.

 -- Laurent Fousse <laurent@komite.net>  Wed, 25 Nov 2009 18:40:54 +0100

mpfr (2.4.2~rc2-1) experimental; urgency=low

  * New upstream release candidate.

 -- Laurent Fousse <laurent@komite.net>  Sun, 22 Nov 2009 12:59:41 +0100

mpfr (2.4.2~rc1-1) experimental; urgency=low

  * New upstream release candidate.
  * Add missing ${misc:Depends}.
  * Add missing dependency on install-info.
  * DH_COMPAT upgraded to 7.
  * Upgraded Standards-Version to 3.8.3.

 -- Laurent Fousse <laurent@komite.net>  Thu, 03 Sep 2009 14:42:25 +0200

mpfr (2.4.1-2) unstable; urgency=low

  * Apply patch by Nobuhiro Iwamatsu for sh4 support (closes: #459598).

 -- Laurent Fousse <laurent@komite.net>  Sat, 30 May 2009 13:58:38 +0200

mpfr (2.4.1-1) unstable; urgency=low

  * New upstream release.
  * Apply patch01 and patch02:
    + fix incorrect rounding in remainder functions
    + explicit assert message.

 -- Laurent Fousse <laurent@komite.net>  Fri, 06 Mar 2009 11:50:58 +0100

mpfr (2.4.0-5) unstable; urgency=low

  * Apply patches 01 and 02:
    + check for printf length modifiers hh and ll at configure
    + fix potential buffer overflow problem in mpfr_snprintf and
      mpfr_vsnprintf.

 -- Laurent Fousse <laurent@komite.net>  Wed, 25 Feb 2009 17:38:23 +0100

mpfr (2.4.0-4) unstable; urgency=low

  * Upload to unstable.

 -- Laurent Fousse <laurent@komite.net>  Mon, 16 Feb 2009 19:06:21 +0100

mpfr (2.4.0-3) experimental; urgency=low

  * Build-depend on texlive-latex-base (closes: #514340).

 -- Laurent Fousse <laurent@komite.net>  Thu, 12 Feb 2009 15:34:11 +0100

mpfr (2.4.0-2) experimental; urgency=low

  * Build-depend on texinfo (closes: #514340).

 -- Laurent Fousse <laurent@komite.net>  Sun, 08 Feb 2009 11:11:11 +0100

mpfr (2.4.0-1) experimental; urgency=low

  * New upstream release.
  * Documentation is now free, in new libmpfr-doc package.

 -- Laurent Fousse <laurent@komite.net>  Sun, 01 Feb 2009 14:15:48 +0100

mpfr (2.3.2.dfsg.1-1) unstable; urgency=low

  * New upstream release (closes: #501967).
  * Removed C++ interface.
  * Upgraded Standards-Version to 3.8.0, no change needed.

 -- Laurent Fousse <laurent@komite.net>  Sun, 12 Oct 2008 11:51:30 +0200

mpfr (2.3.1.dfsg.1-2) unstable; urgency=low

  * Partially import diff from Ubuntu, thanks to Matthias Klose:
    + Run dh_install with -s -i.
    + Build 64bit packages for powerpc.
    + Build with srcdir != builddir.
    + Support `parallel' and `nocheck' in DEB_BUILD_OPTIONS.
    + Use debian/*.install files, as --autodest doesn't work with biarch.

