## mpfr4 3.0.1

=== debian/changelog ===
mpfr4 (3.0.1-5) unstable; urgency=low

  * Remove .la files (closes: #633200).
  * Register documentation with doc-base.
  * Misc improvements to make lintian happier.
  * Upgraded Standards-Version to 3.9.2 (no change needed).

 -- Laurent Fousse <lfousse@debian.org>  Mon, 18 Jul 2011 14:51:32 +0200

mpfr4 (3.0.1-4) unstable; urgency=low

  * Correct PATCHES file, thanks Vincent Lefevre (closes: #630782).

 -- Laurent Fousse <lfousse@debian.org>  Tue, 28 Jun 2011 09:45:12 +0200

mpfr4 (3.0.1-3) unstable; urgency=low

  * Apply upstream patch "atan-expo-range" (patch03), closes: #625665

 -- Laurent Fousse <lfousse@debian.org>  Thu, 05 May 2011 08:04:50 +0200

mpfr4 (3.0.1-2) unstable; urgency=low

  * Apply upstream rec_sqrt-carry patch (patch02).

 -- Laurent Fousse <lfousse@debian.org>  Wed, 04 May 2011 14:44:56 +0200

mpfr4 (3.0.1-1) unstable; urgency=low

  * New upstream release.
  * Apply upstream asin_exprange patch (patch01).

 -- Laurent Fousse <lfousse@debian.org>  Thu, 28 Apr 2011 11:32:37 +0200

mpfr4 (3.0.1~rc1-1) experimental; urgency=low

  * New upstream release candidate.

 -- Laurent Fousse <lfousse@debian.org>  Sat, 19 Mar 2011 10:33:12 +0100

mpfr4 (3.0.0-9) unstable; urgency=low

  * Use unversioned build-depends on libgmp-dev.
  * Upgraded Standards-Version to 3.9.1 (no change needed).

 -- Laurent Fousse <lfousse@debian.org>  Sun, 06 Mar 2011 19:56:13 +0100

mpfr4 (3.0.0-8) experimental; urgency=low

  * Build with libgmp10 (closes: #614499).
  * Modify my email address.

 -- Laurent Fousse <lfousse@debian.org>  Tue, 22 Feb 2011 10:02:32 +0100
