=== debian/control ===
--- 
+++ 
@@ -1,20 +1,19 @@
 Source: mpfr4
 Section: math
 Priority: optional
-Build-Depends: debhelper (>= 7), libgmp3-dev (>= 4.2.dfsg), lib32gmp3-dev [amd64 kfreebsd-amd64 ppc64], gcc-multilib [amd64 kfreebsd-amd64 ppc64], g++-multilib [amd64 kfreebsd-amd64 ppc64]
+Build-Depends: debhelper (>= 7), libgmp-dev, lib32gmp-dev [amd64 kfreebsd-amd64 ppc64], gcc-multilib [amd64 kfreebsd-amd64 ppc64], g++-multilib [amd64 kfreebsd-amd64 ppc64]
 Build-Depends-Indep: texinfo, texlive-latex-base
-Maintainer: Laurent Fousse <laurent@komite.net>
+Maintainer: Laurent Fousse <lfousse@debian.org>
 Uploaders: Steve M. Robbins <smr@debian.org>, Philipp Matthias Hahn <pmhahn@debian.org>
 Homepage: http://www.mpfr.org/
 Vcs-Git: git://git.debian.org/collab-maint/mpfr.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/mpfr.git
-Standards-Version: 3.8.4
+Standards-Version: 3.9.2
 
 Package: libmpfr4
 Section: libs
-Priority: optional
 Architecture: any
-Depends: libgmp3c2 (>= 4.2.dfsg-1), ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Conflicts: libgmp3 (<< 4.1.4-3)
 Description: multiple precision floating-point computation
  MPFR provides a library for multiple-precision floating-point computation
@@ -28,7 +27,7 @@
 Priority: extra
 Architecture: any
 Depends: libmpfr4 (= ${binary:Version}), ${misc:Depends}
-Description: multiple precision floating-point computation
+Description: multiple precision floating-point computation (debug symbols)
  MPFR provides a library for multiple-precision floating-point computation
  with correct rounding.  The computation is both efficient and has a
  well-defined semantics. It copies the good ideas from the
@@ -39,9 +38,8 @@
 
 Package: libmpfr-dev
 Section: libdevel
-Priority: optional
 Architecture: any
-Depends: libgmp3-dev (>= 4.2.dfsg-1), libmpfr4 (= ${binary:Version}), ${misc:Depends}
+Depends: libgmp-dev, libmpfr4 (= ${binary:Version}), ${misc:Depends}
 Suggests: libmpfr-doc
 Conflicts: libgmp3-dev (<< 4.1.4-3)
 Replaces: libgmp3-dev (<< 4.1.4-3)
@@ -58,7 +56,6 @@
 
 Package: libmpfr-doc
 Section: doc
-Priority: optional
 Architecture: all
 Depends: dpkg (>= 1.15.4) | install-info, ${misc:Depends}
 Description: multiple precision floating-point computation documentation
@@ -69,7 +66,6 @@
 
 Package: lib32mpfr4
 Section: libs
-Priority: optional
 Architecture: amd64 ppc64 kfreebsd-amd64
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: multiple precision floating-point computation (32bit)
@@ -82,9 +78,8 @@
 
 Package: lib32mpfr-dev
 Section: libdevel
-Priority: optional
 Architecture: amd64 ppc64 kfreebsd-amd64
-Depends: lib32gmp3-dev (>= 4.2.dfsg-1), lib32mpfr4 (= ${binary:Version}), ${misc:Depends}
+Depends: lib32gmp-dev, lib32mpfr4 (= ${binary:Version}), ${misc:Depends}
 Suggests: libmpfr-doc
 Description: multiple precision floating-point computation developers tools (32bit)
  This development package provides the header files and the symbolic
