=== debian/rules ===
--- 
+++ 
@@ -121,8 +121,10 @@
 endif
 	touch build64-stamp
 
-build: build-stamp
+build-indep: build-stamp
+build-arch: build-stamp
 # not yet ready for that: $(if $(filter powerpc,$(DEB_HOST_ARCH)), build64-stamp)
+build: build-indep build-arch
 
 clean:
 	dh_testdir
@@ -211,4 +213,4 @@
 	make -f debian/rules binary-common DH_OPTIONS=-p$*
 
 binary: binary-indep binary-arch
-.PHONY: build clean binary-indep binary-arch binary-common binary install
+.PHONY: build clean binary-indep binary-arch binary-common binary install build-arch build-indep
