## mpfr4 3.1.0

=== debian/changelog ===
mpfr4 (3.1.0-3) unstable; urgency=low

  * Apply upstream patch01, fixing bug in MPFR_UNLIKELY.
  * Apply upstream patch03, fixing bug in the mpfr_*printf functions
    (closes: #648213).

 -- Laurent Fousse <lfousse@debian.org>  Wed, 09 Nov 2011 20:51:05 +0100

mpfr4 (3.1.0-2) unstable; urgency=low

  * Disable TLS support on sparc (closes: #644552).
    This is an ugly workaround for what is quite likely a compiler
    optimization bug.

 -- Laurent Fousse <lfousse@debian.org>  Sat, 08 Oct 2011 23:38:48 +0200

mpfr4 (3.1.0-1) unstable; urgency=low

  * New upstream release.

 -- Laurent Fousse <lfousse@debian.org>  Mon, 03 Oct 2011 20:34:02 +0200

mpfr4 (3.1.0~rc2-1) experimental; urgency=low

  * New upstream release candidate.

 -- Laurent Fousse <lfousse@debian.org>  Thu, 22 Sep 2011 09:41:06 +0200

mpfr4 (3.0.1-6) unstable; urgency=low

  * Add Multi-Arch support, thanks Riku Voipio for the patch
    (closes: #638958).

 -- Laurent Fousse <lfousse@debian.org>  Tue, 23 Aug 2011 13:05:43 +0200
