=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: mpfr4
 Section: math
 Priority: optional
-Build-Depends: debhelper (>= 7), libgmp-dev, lib32gmp-dev [amd64 kfreebsd-amd64 ppc64], gcc-multilib [amd64 kfreebsd-amd64 ppc64], g++-multilib [amd64 kfreebsd-amd64 ppc64]
+Build-Depends: debhelper (>= 8.1.3), libgmp-dev, lib32gmp-dev [amd64 kfreebsd-amd64 ppc64], gcc-multilib [amd64 kfreebsd-amd64 ppc64], g++-multilib [amd64 kfreebsd-amd64 ppc64]
 Build-Depends-Indep: texinfo, texlive-latex-base
 Maintainer: Laurent Fousse <lfousse@debian.org>
 Uploaders: Steve M. Robbins <smr@debian.org>, Philipp Matthias Hahn <pmhahn@debian.org>
@@ -14,6 +14,8 @@
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
+Multi-Arch: same
 Conflicts: libgmp3 (<< 4.1.4-3)
 Description: multiple precision floating-point computation
  MPFR provides a library for multiple-precision floating-point computation
@@ -40,6 +42,7 @@
 Section: libdevel
 Architecture: any
 Depends: libgmp-dev, libmpfr4 (= ${binary:Version}), ${misc:Depends}
+Multi-Arch: same
 Suggests: libmpfr-doc
 Conflicts: libgmp3-dev (<< 4.1.4-3)
 Replaces: libgmp3-dev (<< 4.1.4-3)
