=== debian/rules ===
--- 
+++ 
@@ -26,6 +26,7 @@
 DEB_HOST_ARCH  ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+export DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
   confflags += --build $(DEB_HOST_GNU_TYPE)
@@ -50,6 +51,10 @@
     CFLAGS += -mieee
 endif
 
+ifeq (sparc,$(DEB_HOST_ARCH))
+    confflags += --disable-thread-safe
+endif
+
 ifneq (,$(findstring $(DEB_HOST_ARCH), amd64 ppc64 kfreebsd-amd64))
   EXTRA_INSTALL=install32
   m32=-m32
@@ -66,7 +71,7 @@
 	chmod +x configure
 	cd build && \
 	    ../configure $(confflags) --prefix=/usr \
-		--enable-shared
+		--enable-shared --libdir=/usr/lib/$(DEB_HOST_MULTIARCH)
 	touch configure-stamp
 
 configure32: configure32-stamp
@@ -154,14 +159,14 @@
 	dh_install -plibmpfr4
 	dh_install -plibmpfr-dev
 
-	dh_makeshlibs -v -plibmpfr4
-	dh_makeshlibs -v -plib64mpfr4
+	dh_makeshlibs -v -V -plibmpfr4
+	dh_makeshlibs -v -V -plib64mpfr4
 
 install32: build32-stamp
 	$(MAKE) DESTDIR=`pwd`/debian/tmp -C build32 install
 	dh_install -plib32mpfr4
 	dh_install -plib32mpfr-dev
-	dh_makeshlibs -v -plib32mpfr4
+	dh_makeshlibs -v -V -plib32mpfr4
 
 # This single target is used to build all the packages, all at once, or
 # one at a time. So keep in mind: any options passed to commands here will
@@ -174,24 +179,11 @@
 	dh_installdocs -A BUGS NEWS README TODO AUTHORS
 	dh_installexamples
 	dh_installmenu
-#	dh_installdebconf
-#	dh_installlogrotate
-#	dh_installemacsen
-#	dh_installcatalogs
-#	dh_installpam
-#	dh_installmime
-#	dh_installinit
-#	dh_installman
-#	dh_installcron
 	dh_installinfo
-#	dh_undocumented
 	dh_strip --dbg-package=libmpfr4-dbg
 	dh_link
 	dh_compress
 	dh_fixperms
-#	dh_perl
-#	dh_python
-#	dh_makeshlibs
 	dh_lintian
 	dh_installdeb
 	dh_shlibdeps
