## mpfr4 3.1.1

=== debian/changelog ===
mpfr4 (3.1.1-1) unstable; urgency=low

  * New upstream release.
  * Use dh-autoreconf, as suggested by Colin Watson (closes: #700065).

 -- Laurent Fousse <lfousse@debian.org>  Mon, 18 Feb 2013 18:20:45 -0800

mpfr4 (3.1.0-5) unstable; urgency=low

  * Apply upstream patch 04 through 10, fixing various
    miscomputation, freezes, and compatibility issues with
    newer GMP version.

 -- Laurent Fousse <lfousse@debian.org>  Tue, 08 May 2012 04:35:31 +0000

mpfr4 (3.1.0-4) unstable; urgency=low

  * Re-enable TLS on sparc now that we have binutils >= 2.22
    (closes: #645587).

 -- Laurent Fousse <lfousse@debian.org>  Sat, 03 Mar 2012 19:02:41 -0800
