=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: mpfr4
 Section: math
 Priority: optional
-Build-Depends: debhelper (>= 8.1.3), libgmp-dev, lib32gmp-dev [amd64 kfreebsd-amd64 ppc64], gcc-multilib [amd64 kfreebsd-amd64 ppc64], g++-multilib [amd64 kfreebsd-amd64 ppc64]
+Build-Depends: debhelper (>= 8.1.3), libgmp-dev, lib32gmp-dev [amd64 kfreebsd-amd64 ppc64], gcc-multilib [amd64 kfreebsd-amd64 ppc64], g++-multilib [amd64 kfreebsd-amd64 ppc64], dh-autoreconf
 Build-Depends-Indep: texinfo, texlive-latex-base
 Maintainer: Laurent Fousse <lfousse@debian.org>
 Uploaders: Steve M. Robbins <smr@debian.org>, Philipp Matthias Hahn <pmhahn@debian.org>
