=== debian/rules ===
--- 
+++ 
@@ -51,9 +51,10 @@
     CFLAGS += -mieee
 endif
 
-ifeq (sparc,$(DEB_HOST_ARCH))
-    confflags += --disable-thread-safe
-endif
+# Re-enable TLS on sparc.
+# ifeq (sparc,$(DEB_HOST_ARCH))
+#     confflags += --disable-thread-safe
+# endif
 
 ifneq (,$(findstring $(DEB_HOST_ARCH), amd64 ppc64 kfreebsd-amd64))
   EXTRA_INSTALL=install32
@@ -63,8 +64,12 @@
 build-doc: configure-stamp
 	$(MAKE) -C build pdf info html
 
+autoreconf-stamp:
+	dh_autoreconf
+	touch $@
+
 configure: configure-stamp
-configure-stamp:
+configure-stamp: autoreconf-stamp
 	dh_testdir
 	rm -rf build
 	mkdir -p build
@@ -75,7 +80,7 @@
 	touch configure-stamp
 
 configure32: configure32-stamp
-configure32-stamp:
+configure32-stamp: autoreconf-stamp
 	mkdir -p build32
 	cd build32 && \
 	    CC="gcc -m32" CXX="g++ -m32" ../configure $(confflags32) --prefix=/usr \
@@ -105,7 +110,7 @@
 	touch build-stamp
 
 configure64: configure64-stamp
-configure64-stamp:
+configure64-stamp: autoreconf-stamp
 	dh_testdir
 	rm -rf build64
 	mkdir -p build64
@@ -132,6 +137,8 @@
 build: build-indep build-arch
 
 clean:
+	dh_autoreconf_clean
+	rm -f autoreconf-stamp
 	dh_testdir
 	dh_testroot
 	rm -f *-stamp
