## mpfr4 3.1.2

=== debian/changelog ===
mpfr4 (3.1.2-2) unstable; urgency=medium

  * QA upload, properly orphan the package. See #771884.
  * Bump standards version to 3.9.6, fix lintian warnings.
  * Build using dpkg-buildflags.
  * Fix buffer overflow in mpfr_strtofr. Closes: #772008.

 -- Matthias Klose <doko@debian.org>  Thu, 11 Dec 2014 12:32:33 +0100

mpfr4 (3.1.2-1) unstable; urgency=low

  * New upstream release.
  * Apply upstream's patches 01 through 03 (closes: #726268).
  * Use -O1 for sh4 (closes: #726602).

 -- Laurent Fousse <lfousse@debian.org>  Sun, 20 Oct 2013 21:37:43 -0700

mpfr4 (3.1.1-2) unstable; urgency=low

  * Remove lib32mpfr{4,-dev} packages.  Closes: #718094.

 -- Steve M. Robbins <smr@debian.org>  Sun, 18 Aug 2013 22:24:02 -0500
