=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: mpfr4
 Section: math
 Priority: optional
-Build-Depends: debhelper (>= 8.1.3), libgmp-dev, lib32gmp-dev [amd64 kfreebsd-amd64 ppc64], gcc-multilib [amd64 kfreebsd-amd64 ppc64], g++-multilib [amd64 kfreebsd-amd64 ppc64], dh-autoreconf
+Build-Depends: debhelper (>= 8.1.3), libgmp-dev, dh-autoreconf
 Build-Depends-Indep: texinfo, texlive-latex-base
-Maintainer: Laurent Fousse <lfousse@debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Uploaders: Steve M. Robbins <smr@debian.org>, Philipp Matthias Hahn <pmhahn@debian.org>
 Homepage: http://www.mpfr.org/
 Vcs-Git: git://git.debian.org/collab-maint/mpfr.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/mpfr.git
-Standards-Version: 3.9.2
+Standards-Version: 3.9.6
 
 Package: libmpfr4
 Section: libs
@@ -66,32 +66,3 @@
  computation library MPFR.
  .
  The documentation is available as html and PDF.
-
-Package: lib32mpfr4
-Section: libs
-Architecture: amd64 ppc64 kfreebsd-amd64
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: multiple precision floating-point computation (32bit)
- MPFR provides a library for multiple-precision floating-point computation
- with correct rounding.  The computation is both efficient and has a
- well-defined semantics. It copies the good ideas from the
- ANSI/IEEE-754 standard for double-precision floating-point arithmetic
- (53-bit mantissa). This package includes a 32 bit version of the
- library.
-
-Package: lib32mpfr-dev
-Section: libdevel
-Architecture: amd64 ppc64 kfreebsd-amd64
-Depends: lib32gmp-dev, lib32mpfr4 (= ${binary:Version}), ${misc:Depends}
-Suggests: libmpfr-doc
-Description: multiple precision floating-point computation developers tools (32bit)
- This development package provides the header files and the symbolic
- links to allow compilation and linking of programs that use the libraries
- provided in the lib32mpfr4 package. This package includes the 32 bit version
- of the library.
- .
- MPFR provides a library for multiple-precision floating-point computation
- with correct rounding.  The computation is both efficient and has a
- well-defined semantics. It copies the good ideas from the
- ANSI/IEEE-754 standard for double-precision floating-point arithmetic
- (53-bit mantissa).
