## mpfr4 3.1.4

=== debian/changelog ===
mpfr4 (3.1.4-1) unstable; urgency=medium

  * New upstream release.

 -- Matthias Klose <doko@debian.org>  Fri, 11 Mar 2016 07:28:04 +0100

mpfr4 (3.1.4~rc1-1) unstable; urgency=medium

  * New upstream release candidate.

 -- Matthias Klose <doko@debian.org>  Wed, 24 Feb 2016 07:02:22 +0100

mpfr4 (3.1.3-2) unstable; urgency=medium

  * Apply upstream patches 01 - 05.

 -- Matthias Klose <doko@debian.org>  Mon, 14 Dec 2015 22:24:12 +0100

mpfr4 (3.1.3-1) unstable; urgency=medium

  * New upstream release.
  * Fix some lintian warnings.
  * Add symbols file.

 -- Matthias Klose <doko@debian.org>  Mon, 22 Jun 2015 12:19:34 +0200

mpfr4 (3.1.2-3) unstable; urgency=medium

  * New maintainer (Debian GCC Maintainers). Closes: #771884.
  * Apply upstream fixes 04 to 10.

 -- Matthias Klose <doko@debian.org>  Wed, 28 Jan 2015 16:09:08 +0100
