=== debian/control ===
--- 
+++ 
@@ -1,14 +1,12 @@
 Source: mpfr4
 Section: math
 Priority: optional
-Build-Depends: debhelper (>= 8.1.3), libgmp-dev, dh-autoreconf
+Build-Depends: debhelper (>= 9), libgmp-dev, dh-autoreconf
 Build-Depends-Indep: texinfo, texlive-latex-base
-Maintainer: Debian QA Group <packages@qa.debian.org>
-Uploaders: Steve M. Robbins <smr@debian.org>, Philipp Matthias Hahn <pmhahn@debian.org>
+Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
+Uploaders: Matthias Klose <doko@debian.org>
 Homepage: http://www.mpfr.org/
-Vcs-Git: git://git.debian.org/collab-maint/mpfr.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/mpfr.git
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 
 Package: libmpfr4
 Section: libs
@@ -16,7 +14,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
-Conflicts: libgmp3 (<< 4.1.4-3)
+Breaks: libgmp3 (<< 4.1.4-3)
 Description: multiple precision floating-point computation
  MPFR provides a library for multiple-precision floating-point computation
  with correct rounding.  The computation is both efficient and has a
@@ -28,6 +26,7 @@
 Section: debug
 Priority: extra
 Architecture: any
+Multi-Arch: same
 Depends: libmpfr4 (= ${binary:Version}), ${misc:Depends}
 Description: multiple precision floating-point computation (debug symbols)
  MPFR provides a library for multiple-precision floating-point computation
@@ -44,7 +43,7 @@
 Depends: libgmp-dev, libmpfr4 (= ${binary:Version}), ${misc:Depends}
 Multi-Arch: same
 Suggests: libmpfr-doc
-Conflicts: libgmp3-dev (<< 4.1.4-3)
+Breaks: libgmp3-dev (<< 4.1.4-3)
 Replaces: libgmp3-dev (<< 4.1.4-3)
 Description: multiple precision floating-point computation developers tools
  This development package provides the header files and the symbolic
