## mpfr4 3.1.5

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
 Uploaders: Matthias Klose <doko@debian.org>
 Homepage: http://www.mpfr.org/
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 
 Package: libmpfr4
 Section: libs
