## mpfr4 3.1.6

=== debian/changelog ===
mpfr4 (3.1.6-1) unstable; urgency=medium

  * New upstream release.

 -- Matthias Klose <doko@debian.org>  Thu, 07 Sep 2017 17:25:56 +0200

mpfr4 (3.1.6~rc1-1) unstable; urgency=medium

  * New upstream release candidate.
  * Bump debhelper and standards versions.

 -- Matthias Klose <doko@debian.org>  Wed, 30 Aug 2017 12:38:49 +0200

mpfr4 (3.1.5-1) unstable; urgency=medium

  * New upstream release.

 -- Matthias Klose <doko@debian.org>  Tue, 27 Sep 2016 18:09:49 +0200

mpfr4 (3.1.4-2) unstable; urgency=medium

  * Apply upstream fixes 01 and 02.

 -- Matthias Klose <doko@debian.org>  Sun, 29 May 2016 20:07:52 +0200
