=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
 Uploaders: Matthias Klose <doko@debian.org>
 Homepage: http://www.mpfr.org/
-Standards-Version: 3.9.8
+Standards-Version: 4.1.0
 
 Package: libmpfr4
 Section: libs
@@ -59,6 +59,7 @@
 Package: libmpfr-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends: dpkg (>= 1.15.4) | install-info, ${misc:Depends}
 Description: multiple precision floating-point computation documentation
  This package provides documentation for the multiple-precision floating-point
