## mpfr4 4.0.1

=== debian/changelog ===
mpfr4 (4.0.1-1) unstable; urgency=medium

  * mpfr 4.0.1 release.
  * Build again the pdf documentation. Closes: #889711, #889631.
  * Remove obsolete README.Debian. Closes: #889723.
  * Add breaks against cgal, flint, giac, normaliz and sagemath versions
    built against libmpfr4. Closes: #888422.

 -- Matthias Klose <doko@debian.org>  Wed, 07 Feb 2018 19:00:38 +0100

mpfr4 (4.0.1~rc2-1) unstable; urgency=medium

  * mpfr 4.0.1 release candidate 2.
  * Disable building the pdf docs for now. See #889631.
  * Build using -O1 on powerpcspe. Closes: #888253.

 -- Matthias Klose <doko@debian.org>  Mon, 05 Feb 2018 09:11:12 +0100

mpfr4 (4.0.0-8) unstable; urgency=medium

  * Paste testsuite log in case of testsuite failures.

 -- Matthias Klose <doko@debian.org>  Tue, 30 Jan 2018 16:10:19 +0100

mpfr4 (4.0.0-7) unstable; urgency=medium

  * Revert the 4.0 branch 20180130 update, too many test failures.

 -- Matthias Klose <doko@debian.org>  Tue, 30 Jan 2018 11:36:29 +0100

mpfr4 (4.0.0-6) unstable; urgency=medium

  * Update to the 4.0 branch 20180130.
  * libmpfr6: Break libmpc3 (<< 1.1.0-1~). Closes: #888422.

 -- Matthias Klose <doko@debian.org>  Tue, 30 Jan 2018 09:33:00 +0100

mpfr4 (4.0.0-5) unstable; urgency=medium

  * Undo the updates to mpfr.texi.

 -- Matthias Klose <doko@debian.org>  Tue, 23 Jan 2018 10:30:48 +0100

mpfr4 (4.0.0-4) unstable; urgency=medium

  * Update to the 4.0 branch 20180123.
  * Update symbols file for ia64 and m68k.

 -- Matthias Klose <doko@debian.org>  Tue, 23 Jan 2018 05:20:51 +0100

mpfr4 (4.0.0-3) experimental; urgency=medium

  * More updates to the symbols file.
  * Ignore test results on powerpc (tai test fails).

 -- Matthias Klose <doko@debian.org>  Sun, 07 Jan 2018 08:51:04 +0100

mpfr4 (4.0.0-2) experimental; urgency=medium

  * Update symbols file for non-x86 architectures.

 -- Matthias Klose <doko@debian.org>  Sun, 07 Jan 2018 00:01:00 +0100

mpfr4 (4.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Matthias Klose <doko@debian.org>  Sun, 31 Dec 2017 10:50:52 +0100
