=== debian/control ===
--- 
+++ 
@@ -1,20 +1,20 @@
 Source: mpfr4
 Section: math
 Priority: optional
-Build-Depends: debhelper (>= 9), libgmp-dev, dh-autoreconf
+Build-Depends: debhelper (>= 9), libgmp-dev, dh-autoreconf, autoconf-archive
 Build-Depends-Indep: texinfo, texlive-latex-base
 Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
 Uploaders: Matthias Klose <doko@debian.org>
 Homepage: http://www.mpfr.org/
-Standards-Version: 4.1.0
+Standards-Version: 4.1.3
 
-Package: libmpfr4
+Package: libmpfr6
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
-Breaks: libgmp3 (<< 4.1.4-3)
+Breaks: libgmp3 (<< 4.1.4-3), libmpc3 (<< 1.1.0-1~), ${mpfr:Breaks}
 Description: multiple precision floating-point computation
  MPFR provides a library for multiple-precision floating-point computation
  with correct rounding.  The computation is both efficient and has a
@@ -22,25 +22,10 @@
  ANSI/IEEE-754 standard for double-precision floating-point arithmetic
  (53-bit mantissa).
 
-Package: libmpfr4-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Multi-Arch: same
-Depends: libmpfr4 (= ${binary:Version}), ${misc:Depends}
-Description: multiple precision floating-point computation (debug symbols)
- MPFR provides a library for multiple-precision floating-point computation
- with correct rounding.  The computation is both efficient and has a
- well-defined semantics. It copies the good ideas from the
- ANSI/IEEE-754 standard for double-precision floating-point arithmetic
- (53-bit mantissa).
- .
- This package contains the debugging symbols for libmpfr4.
-
 Package: libmpfr-dev
 Section: libdevel
 Architecture: any
-Depends: libgmp-dev, libmpfr4 (= ${binary:Version}), ${misc:Depends}
+Depends: libgmp-dev, libmpfr6 (= ${binary:Version}), ${misc:Depends}
 Multi-Arch: same
 Suggests: libmpfr-doc
 Breaks: libgmp3-dev (<< 4.1.4-3)
