## mpfr4 4.0.2~rc1

=== debian/changelog ===
mpfr4 (4.0.2~rc1-1~mx17) mx; urgency=medium

  * Rebuild for MX-17/18

 -- Timothy E. Harris <maintainer@mxrepo.com>  Thu, 17 Jan 2019 21:38:51 -0500

mpfr4 (4.0.2~rc1-1) unstable; urgency=medium

  * mpfr 4.0.2 release candidate.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Wed, 09 Jan 2019 10:56:17 +0100

mpfr4 (4.0.1-2) unstable; urgency=medium

  * Bump standards version.
  * Install the mpfr pkgconfig file. Closes: #915695.

 -- Matthias Klose <doko@debian.org>  Thu, 06 Dec 2018 16:11:12 +0100
