## mpfr4 4.0.2

=== debian/changelog ===
mpfr4 (4.0.2-1) unstable; urgency=medium

  * mpfr 4.0.2 release.

 -- Matthias Klose <doko@debian.org>  Fri, 01 Feb 2019 08:05:19 +0100
