=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
 Uploaders: Matthias Klose <doko@debian.org>
 Homepage: http://www.mpfr.org/
-Standards-Version: 4.1.3
+Standards-Version: 4.3.0
 
 Package: libmpfr6
 Section: libs
